%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} == 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		libfwsi
Version:	20181227
Release:	3%{?dist}
Summary:	Library to access the Windows Shell Item format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfwsi/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libfwsi is a library to access the Windows Shell Item format

%package devel
Summary:	Header files and libraries for developing applications for libfwsi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwsi.

%package python2
Summary:	Python bindings for libfwsi
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} %(basename %{__python})
BuildRequires:	%(basename %{__python})-devel
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}

%description python2
Python bindings for libfwsi

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for libfwsi
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3

%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif


%description python3
Python 3 bindings for libfwsi
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
- Release 20181227-1
	Version from 20181227.

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
- Release 20181215-1
	Version from 20181215.

* Sat Jun 30 2018 Lawrence R. Rogers <lrr@cert.org> 20180630-1
- Release 20180630-1
	Version from 20180630.

* Sat Jun 23 2018 Lawrence R. Rogers <lrr@cert.org> 20180623-1
- Release 20180623-1
	Version from 20180623.

* Sun Apr  8 2018 Lawrence R. Rogers <lrr@cert.org> 20180408-1
- Release 20180408-1
	Version from 20180408.
	* Worked on Python bindings
	* Fixed issues in m4/libclocale.m4
	* Changes to setup.py for sdist
	* Applied updates
	* Worked on tests
	* Changes to URI and URI sub shell items

* Fri Nov  3 2017 Lawrence R. Rogers <lrr@cert.org> 20171103-1
- Release 20171103-1
	Version from 20171103.

* Tue Jan 17 2017 Lawrence R. Rogers <lrr@cert.org> 20170117-1
- Release 20170117-1
	Version from 20170117.

* Sun Jan 10 2016 Lawrence R. Rogers <lrr@cert.org> 20160110-1
- Release 20160110-1
	20160110
	* worked on Python 3 support

	20160106
	* 2016 update

	20151222
	* applied updates

	20150822
	* worked on setup.py

* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> 20150701-2
- Release 20150701-2
	Version 20150701

* Tue Jun  2 2015 Lawrence R. Rogers <lrr@cert.org> 20141116-2
- Release 20141116-2
	Libuna GCC-5 Patch

* Sun Nov 16 2014 Lawrence R. Rogers <lrr@cert.org> 20141116-1
- Release 20141116-1
	Initial release. See https://github.com/libyal/libfwsi/wiki for details.

